Skip to main content
POST
/
v1
/
models
/
{model_id}
/
deployments
/
{deployment_id}
/
retry
cURL
curl --request POST \
--url https://api.baseten.co/v1/models/{model_id}/deployments/{deployment_id}/retry \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "retried": true,
  "deployment": {
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "model_id": "<string>",
    "is_production": true,
    "is_development": true,
    "active_replica_count": 123,
    "autoscaling_settings": {
      "min_replica": 123,
      "max_replica": 123,
      "autoscaling_window": 123,
      "scale_down_delay": 123,
      "concurrency_target": 123,
      "target_utilization_percentage": 123,
      "target_in_flight_tokens": 123,
      "max_scale_down_rate": 123
    },
    "instance_type_name": "<string>",
    "environment": "<string>",
    "labels": {}
  },
  "reason": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Path Parameters

model_id
string
required
deployment_id
string
required

Response

200 - application/json

The response to a request to retry a deployment.

retried
boolean
required

Whether the retry was successfully initiated

deployment
DeploymentV1 · object
required

The deployment that was retried

reason
string | null

Explanation of the result. Provided when retried is false to explain why retry was not possible.